complexType "FxDigitalOption"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 21 elements
Defined: | globally in fpml-fx-5-3.xsd; see XML source
Includes: | definitions of 9 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | ((primaryAssetClass, secondaryAssetClass*, productType*, productId*) | (((productType+, productId*) | productId+), assetClass*))?, buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?, effectiveDate?, tenorPeriod?, ((americanExercise?, touch*) | (europeanExercise?, trigger*)), exerciseProcedure?, payout?, premium*
</...>

Content Model Elements (21):

  americanExercise (in fxDigitalOption), assetClass (defined in Product.model group), buyerAccountReference, buyerPartyReference (defined in BuyerSeller.model group), effectiveDate (in fxDigitalOption), europeanExercise (in fxDigitalOption), exerciseProcedure (in fxDigitalOption), payout, premium (in fxDigitalOption), primaryAssetClass (defined in Product.model group), productId (defined in Product.model group), | productId (defined in Product.model group), productId (defined in Product.model group), productType (defined in Product.model group), productType (defined in Product.model group), secondaryAssetClass (defined in Product.model group), sellerAccountReference, sellerPartyReference (defined in BuyerSeller.model group), tenorPeriod (in fxDigitalOption), touch, trigger (in fxDigitalOption)

All Direct / Indirect Based Elements (1):

  fxDigitalOption

Known Usage Locations

- As direct type of elements (1):
  fxDigitalOption

Annotation
Describes an option having a triggerable fixed payout.
Type Definition Detail

Type Derivation Tree Product (extension) Option (extension) FxDigitalOption

XML Source (w/o annotations (11); see within schema source)

<xsd:complexType name="FxDigitalOption"> <xsd:complexContent> <xsd:extension base="Option"> <xsd:sequence> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="tenorPeriod" type="Period"/> <xsd:sequence> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="americanExercise" type="FxDigitalAmericanExercise"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="touch" type="FxTouch"/> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="europeanExercise" type="FxEuropeanExercise"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="trigger" type="FxTrigger"/> </xsd:sequence> </xsd:choice> <xsd:element minOccurs="0" name="exerciseProcedure" type="ExerciseProcedure"/> </xsd:sequence> <xsd:element minOccurs="0" name="payout" type="FxOptionPayout"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="premium" type="FxOptionPremium"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 9/21)
americanExercise

  Type: | FxDigitalAmericanExercise, complex content

  The parameters for defining the exercise period for an American style option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="americanExercise" type="FxDigitalAmericanExercise"/>

effectiveDate

  Type: | AdjustableOrRelativeDate, complex content

  Effective date for a forward starting derivative. If this element is not present, the effective date is the trade date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"/>

europeanExercise

  Type: | FxEuropeanExercise, complex content

  The parameters for defining the exercise period for an European style option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="europeanExercise" type="FxEuropeanExercise"/>

exerciseProcedure

  Type: | ExerciseProcedure, complex content

  A set of parameters defining procedures associated with the exercise.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseProcedure" type="ExerciseProcedure"/>

payout

  Type: | FxOptionPayout, complex content

  The amount of currency which becomes payable if and when a trigger event occurs.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="payout" type="FxOptionPayout"/>

premium

  Type: | FxOptionPremium, complex content

  Premium amount or premium installment amount for an option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="premium" type="FxOptionPremium"/>

tenorPeriod

  Type: | Period, complex content

  A tenor expressed as a period type and multiplier (e.g. 1D, 1Y, etc.)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tenorPeriod" type="Period"/>

touch

  Type: | FxTouch, complex content

  Defines one or more conditions underwhich the option will payout if exercisable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="touch" type="FxTouch"/>

trigger

  Type: | FxTrigger, complex content

  Defines one or more conditions underwhich the option will payout if exercisable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="trigger" type="FxTrigger"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.